package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.AreaConfig;
import com.ruoyi.predict.mapper.AreaConfigMapper;
import com.ruoyi.predict.service.IAreaConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * AreaConfigService业务层处理
 *
 * @author hlf
 * @date 2022-01-10
 */
@Service
public class AreaConfigServiceImpl implements IAreaConfigService {

    @Autowired(required = false)
    private AreaConfigMapper areaConfigMapper;

    @Override
    public int insertAreaConfig(AreaConfig areaConfig) {
        return areaConfigMapper.insertAreaConfig(areaConfig);
    }

    @Override
    public int updateAreaConfig(AreaConfig areaConfig) {
        return areaConfigMapper.updateAreaConfig(areaConfig);
    }

    @Override
    public int deleteAreaConfigByRtuNo(Long rtuNo) {
        return areaConfigMapper.deleteAreaConfigByRtuNo(rtuNo);
    }

    @Override
    public AreaConfig selectAreaConfigByRtuNo(Long rtuNo) {
        return areaConfigMapper.selectAreaConfigByRtuNo(rtuNo);
    }

    @Override
    public List<AreaConfig> selectWindplantListByAreaNo(Long areaNo) {
        return areaConfigMapper.selectWindplantListByAreaNo(areaNo);
    }
}
